## Index

### Functions

- TypedArray

## Functions

### TypedArray

- TypedArray<T>(modelClass?: ModelConstructor<T>): PropertyDecorator

- - Defined in decorator/impl/collection/typed-array.decorator.ts:9

  Makes sure the property will be mapped to a L(ist) type. The modelClass is required if the collection items have some property decorators, so we can retrieve this information using the model class.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### Optional modelClass: ModelConstructor<T>

  #### Returns PropertyDecorator

Generated using TypeDoc